/* $Id: RubikP.h,v 1.4 2003/01/25 16:24:28 d Exp $ */
/* David Leonard, 2003. Public domain. */

#ifndef _RubikP_h
#define _RubikP_h

#include "Rubik.h"

/* include superclass private header file */
#include <X11/CoreP.h>

typedef struct {
	XtPointer	extension;
} RubikClassPart;

typedef struct _RubikClassRec {
	CoreClassPart	core_class;
	RubikClassPart	rubik_class;
} RubikClassRec;

extern RubikClassRec rubikClassRec;

typedef struct {
	/* resources */
	Pixel		top, bottom, right, left, front, back;
	Dimension	edge_thickness;
	float		focal_dist, elevation;

	/* private */
	XPoint		cube_offset;
	double		cube_scale;
	String		undo_action, undo_face, undo_dir;
} RubikPart;

typedef struct _RubikRec {
	CorePart	core;
	RubikPart	rubik;
} RubikRec;

#endif /* _RubikP_h */
